// api/home.js
import http from '@/utils/http'
import config from './config'

export default {
	// 溯源报告
  getFarmReport(data) {
    return http.get('mini/z_farm_score/getByFarmId', data)
  },
  getScoreRule() {
    return http.get('mini/z_farm_score/scoreRule')
  },
  getAllFarm() {
	  return http.get('mini/z_farm_buy_shop/list')
  },
  fetchFarmInfo(data) {
	  return http.get('mini/farm/getById', data)
  },
  fetchTypeList() {
	  return http.get('mini/bur_category/list')
  },
  fetchHotList(data) {
	  return http.get('mini/farm_buy_goods/top', data)
  },
  fetchGoodsList(data) {
	  return http.get('mini/farm_buy_goods/list', data)
  },
  fetchGardenInfo(data) {
	  return http.get('mini/z_farm_buy/farmBuyInfo', data)
  },
  fetchGardenDetail(data) {
	  return http.get('mini/z_farm_buy_shop/get', data)
  },
  fetchUserGarden(data) {
	  return http.get('mini/z_farm_buy/getLightTree', data)
  },
}